Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class FilePrintStreamFactory.FileConfiguration

    java.lang.Object
      org.jbehave.core.reporters.FilePrintStreamFactory.FileConfiguration

Enclosing class:
  FilePrintStreamFactory

    public static class FilePrintStreamFactory.FileConfiguration

extends Object

Configuration class for file print streams. Allows specification the relative directory (relative to code location) and file extension. Provides as defaults `RELATIVE_DIRECTORY` and `EXTENSION`.

Field Summary
`static String` | `EXTENSION`
`static String` | `RELATIVE_DIRECTORY`

Constructor Summary
`FilePrintStreamFactory.FileConfiguration()`
`FilePrintStreamFactory.FileConfiguration(String extension)`
`FilePrintStreamFactory.FileConfiguration(String relativeDirectory, String extension, FilePrintStreamFactory.FilePathResolver pathResolver)`

Method Summary
`String` | `getExtension()`
`FilePrintStreamFactory.FilePathResolver` | `getPathResolver()`
`String` | `getRelativeDirectory()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RELATIVE_DIRECTORY

    public static final String RELATIVE_DIRECTORY

See Also:
  Constant Field Values

### EXTENSION

    public static final String EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### FilePrintStreamFactory.FileConfiguration

    public FilePrintStreamFactory.FileConfiguration()

### FilePrintStreamFactory.FileConfiguration

    public FilePrintStreamFactory.FileConfiguration(String extension)

### FilePrintStreamFactory.FileConfiguration

    public FilePrintStreamFactory.FileConfiguration(String relativeDirectory,
                                                    String extension,
                                                    FilePrintStreamFactory.FilePathResolver pathResolver)

Method Detail

### getRelativeDirectory

    public String getRelativeDirectory()

### getExtension

    public String getExtension()

### getPathResolver

    public FilePrintStreamFactory.FilePathResolver getPathResolver()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.